CreateInstanceOffering
CreateInstanceOffering
POST
/zstack/v1/instance-offeringsOperation ID
CreateInstanceOfferingSince
0.6Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe resource name.
descriptionStringOptional. The detailed description of the resource.
cpuNumintRequiredThe CPU count.
memorySizelongRequiredThe memory size. Unit: byte.
allocatorStrategyStringOptional. The allocator strategy.
sortKeyintOptional. The sort key.
typeStringOptional. The type.
resourceUuidStringOptional. The resource UUID.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
